FFe: update to pypy 5

Bug #1564088 reported by Matthias Klose on 2016-03-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxml (Ubuntu)
Undecided
Unassigned
pypy (Ubuntu)
Undecided
Unassigned

Bug Description

please update to pypy 5 for xenial. It's now migrated to testing in Debian; it is in main in Ubuntu, however only used as a build dependency, never directly referenced, and will fall back to universe after the archive reorg.

There are also a few packages where building with pypy (<< 5) is not supported anymore: lxml 3.6.x

We will be able to fix unexpected build failures before the release, a test rebuild is still pending.

Stefano Rivera (stefanor) wrote :

Changes since then:

pypy (5.0.1+dfsg-4) unstable; urgency=medium

  * Disable building with pypy on ppc64, again. It has a JIT, but pypy itself
    is just too buggy on big-endian, to manage a translation.
  * hg-updates: fix wait() on big endian (which should resolve the above
    issue).

 -- Stefano Rivera <email address hidden> Mon, 04 Apr 2016 11:52:11 -0700

pypy (5.0.1+dfsg-3) unstable; urgency=medium

  * Re-enable pypy builds on ppc64.
  * ARM JIT backend: Only execute NEON instructions on CPUs with NEON support.
  * hg-updates: Apply patches staged in upstream's release branch.

 -- Stefano Rivera <email address hidden> Fri, 25 Mar 2016 21:42:35 -0500

pypy (5.0.1+dfsg-2) unstable; urgency=medium

  * Drop libunwind build-dep, not used any more, in PyPy 5.0.
  * Port the recent vmprof changes to kFreeBSD.
  * Make pypy-lib an architecture-dependant package, so that we remain
    installable on buildds, after Architecture: all build has been installed.
  * Temporarily build with python2.7 on ppc64, to re-bootstrap.

 -- Stefano Rivera <email address hidden> Tue, 22 Mar 2016 20:46:30 -0700

pypy (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Recognise armv8l architecture, so we can build in an armhf chroot on
    arm64.
  * Build with pypy on architectures with a JITted PyPy. This is now necessary
    on armhf, as we otherwise can't build a jitted pypy in a 3GB address
    space (32bit kernel userspace).

 -- Stefano Rivera <email address hidden> Sun, 20 Mar 2016 08:58:13 -0400

pypy (5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop soabi patch, superseded upstream.
  * Bump copyright years.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Switch both Vcs fields to the same https URL.
  * Patch: sandbox-unlink allow the sandbox REPL to start, by supporting
    unlink() (and rejecting it).

 -- Stefano Rivera <email address hidden> Sun, 13 Mar 2016 23:57:01 -0700

Stefano Rivera (stefanor) wrote :

Release team members: I think this is probably a good idea. And upstream PyPy almost certainly does. They much prefer to support recent releases.

I'm hesitant about approving an FFe for my own package, though.

Martin Pitt (pitti) wrote :

Debian testing migration does not mean much in terms of whether this causes any new FTBFS. There are only some 20 reverse build/binary dependencies, can you please do a test build of them against pypy 5? Approved if that does not cause any regression or you can upload fixed rdepends at the same time.

Changed in pypy (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Note that http://people.canonical.com/~ubuntu-archive/proposed-migration/update_excuses.html#pypy at least makes pyzmq uninstallable; this is part of the "20 reverse build deps" which need to be rebuilt against pypy5 (presumably)

Matthias Klose (doko) wrote :

Stefano did a local test rebuild, and here is another one with the just built pypy:
https://launchpad.net/~doko/+archive/ubuntu/toolchain/+packages?field.name_filter=&field.status_filter=published&field.series_filter=xenial

(will remove these packages once the package migrates)

Martin Pitt (pitti) wrote :

Awesome, thanks!

Changed in lxml (Ubuntu):
status: New → Fix Released
Changed in pypy (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers